List account loans

Retrieve all loans associated with the specified account.

Note: This endpoint requires an account-specific access token.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of the account the loan belongs to

Query Params
string
required

Next page cursor identifier

int32
≤ 50

Maximum number of items to return per page

string
enum

Loan status filter

boolean
Defaults to false

Also retrieve disbursements and repayments?

boolean

Retrieve the present value of the loan?

date

Reference date to calculate the present value of the loan

date

Filter loans created on or after this date (inclusive). Format = YYYY-MM-DD. Invalid format returns 400 Bad Request. Can be used alone to get all loans created from this date onwards, or combined with toCreatedDate to filter within a specific date range.

date

Filter loans created on or before this date (inclusive). Format = YYYY-MM-DD. Invalid format returns 400 Bad Request. Can be used alone to get all loans created up to this date, or combined with fromCreatedDate to filter within a specific date range.

date

Filter loans with start/activation date on or after this date (inclusive). Format = YYYY-MM-DD. Invalid format returns 400 Bad Request. Can be used alone to get all loans with start date from this date onwards, or combined with toStartDate to filter within a specific date range.

date

Filter loans with start/activation date on or before this date (inclusive). Format = YYYY-MM-DD. Invalid format returns 400 Bad Request. Can be used alone to get all loans with start date up to this date, or combined with fromStartDate to filter within a specific date range.

boolean
Defaults to false

When true, returns an aggregated summary across all loans that match the provided filter parameters (pagination is ignored). The response contains only the loan_summary field. When absent or false, returns a standard paginated response (has_next, next_cursor, items).

boolean
Defaults to false

Indicate true to get a response with the insurance history for loans in any state (ACTIVE, CANCELED, or SETTLED). When you use true for the query, each insured installment in repayment_schedule includes an insurance_premium_state field, and the response includes loan-level insurance_summary for loans that have an insurance policy. (The field is omitted entirely for uninsured loans). Also the response includes cancelled insurance and its installments. When absent or false, the response does not include these insurance-related fields. An invalid boolean value returns 400 with error code ELND1807. On the list endpoint, summarizeLoans=true takes precedence and this flag is ignored when summarizeLoans=true.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json